package com.cf.imes.module.system.validation.sms;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.sms.SmsSendStatusEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * 短信发送状态校验器单元测试
 *
 * @author Gqr
 * @since 2025/12/10 14:18
 */
class SmsSendStatusValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        SmsSendStatusValidator validator = new SmsSendStatusValidator();
        assertTrue(validator.isValid(SmsSendStatusEnum.INIT.getStatus(), constraintValidatorContext));
        assertTrue(validator.isValid(SmsSendStatusEnum.SUCCESS.getStatus(), constraintValidatorContext));
        assertTrue(validator.isValid(SmsSendStatusEnum.FAILURE.getStatus(), constraintValidatorContext));
        assertTrue(validator.isValid(SmsSendStatusEnum.IGNORE.getStatus(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(40, constraintValidatorContext));
    }
}
